package com.kingdee.eas.custom.synctask.handler;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.Context;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.custom.synctask.SyncTranForOAFacadeFactory;
import com.kingdee.eas.hr.emp.web.handler.EmployeeListHandler;
import com.kingdee.shr.base.syssetting.context.SHRContext;
import org.apache.log4j.Logger;
import org.springframework.ui.ModelMap;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * @author qingwu
 * @date 2024/10/24
 * @apiNote ԱϢάչ
 */
public class EmployeeListHandlerEx extends EmployeeListHandler {
    public static Logger logger = Logger.getLogger(EmployeeListHandlerEx.class);
    private Context ctx = SHRContext.getInstance().getContext();

    public void syncPersonToOAAction(HttpServletRequest request, HttpServletResponse response, ModelMap modelMap) throws BOSException, IOException, EASBizException {
        String billIds = request.getParameter("billIds");
        //ͬԱOA
        SyncTranForOAFacadeFactory.getLocalInstance(ctx).syncPersonToOA(billIds, null);
    }


}
